diff -N -P -r -u rtems-4.8.0/c/src/ChangeLog rtems-4.8.1/c/src/ChangeLog
--- rtems-4.8.0/c/src/ChangeLog	2007-09-25 16:33:10.000000000 -0500
+++ rtems-4.8.1/c/src/ChangeLog	2008-04-25 19:03:17.000000000 -0500
@@ -1,3 +1,9 @@
+2008-04-25  Till Straumann <strauman@slac.stanford.edu>
+
+	* nfsclient/Changelog.slac, nfsclient/src/nfs.c:
+	BUGFIX (PR#1284) -- possible memory corruption if
+	server connectivity is lost.
+
 2007-09-25	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* nfsclient/Makefile.am: Fix errors.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/arm/csb336/ChangeLog rtems-4.8.1/c/src/lib/libbsp/arm/csb336/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/arm/csb336/ChangeLog	2007-09-12 10:22:23.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/arm/csb336/ChangeLog	2008-03-03 17:00:22.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/arm/csb337/ChangeLog rtems-4.8.1/c/src/lib/libbsp/arm/csb337/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/arm/csb337/ChangeLog	2007-09-12 10:22:23.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/arm/csb337/ChangeLog	2008-03-03 17:00:23.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/arm/edb7312/ChangeLog rtems-4.8.1/c/src/lib/libbsp/arm/edb7312/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/arm/edb7312/ChangeLog	2007-09-12 10:22:23.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/arm/edb7312/ChangeLog	2008-03-03 17:00:25.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/arm/gba/ChangeLog rtems-4.8.1/c/src/lib/libbsp/arm/gba/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/arm/gba/ChangeLog	2007-09-12 10:22:23.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/arm/gba/ChangeLog	2008-03-03 17:00:27.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/arm/gp32/ChangeLog rtems-4.8.1/c/src/lib/libbsp/arm/gp32/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/arm/gp32/ChangeLog	2007-09-12 10:22:23.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/arm/gp32/ChangeLog	2008-03-03 17:00:29.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/arm/rtl22xx/ChangeLog rtems-4.8.1/c/src/lib/libbsp/arm/rtl22xx/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/arm/rtl22xx/ChangeLog	2007-09-12 10:22:23.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/arm/rtl22xx/ChangeLog	2008-03-03 17:00:31.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/bfin/eZKit533/ChangeLog rtems-4.8.1/c/src/lib/libbsp/bfin/eZKit533/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/bfin/eZKit533/ChangeLog	2008-02-14 11:31:17.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/bfin/eZKit533/ChangeLog	2008-08-13 09:03:54.000000000 -0500
@@ -1,3 +1,16 @@
+2008-08-12	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* preinstall.am: Install cplb.h
+
+2008-05-23	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* preinstall.am: Install cplb.h
+
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2008-02-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* preinstall.am: Include cplb.h
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/i386/i386ex/ChangeLog rtems-4.8.1/c/src/lib/libbsp/i386/i386ex/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/i386/i386ex/ChangeLog	2007-05-03 15:32:44.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/i386/i386ex/ChangeLog	2008-03-03 17:01:26.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/i386/pc386/ChangeLog rtems-4.8.1/c/src/lib/libbsp/i386/pc386/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/i386/pc386/ChangeLog	2007-09-12 10:16:00.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/i386/pc386/ChangeLog	2008-03-03 17:01:28.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/i386/ts_386ex/ChangeLog rtems-4.8.1/c/src/lib/libbsp/i386/ts_386ex/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/i386/ts_386ex/ChangeLog	2007-05-28 10:51:57.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/i386/ts_386ex/ChangeLog	2008-03-03 17:01:30.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-28	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* startup/bspstart.c: Eliminate maximum_drivers configuration parameter
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/av5282/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/av5282/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/av5282/ChangeLog	2007-05-03 15:30:29.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/av5282/ChangeLog	2008-03-03 17:00:47.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmdsflash, startup/linkcmdsram: Add
+	wildcard to gcc_except_table section so programs compiled with gcc
+	4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/csb360/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/csb360/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/csb360/ChangeLog	2007-05-03 15:30:31.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/csb360/ChangeLog	2008-03-03 17:00:49.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/gen68302/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/gen68302/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/gen68302/ChangeLog	2007-05-03 15:30:35.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/gen68302/ChangeLog	2008-03-03 17:00:51.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/gen68340/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/gen68340/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/gen68340/ChangeLog	2007-05-03 15:30:37.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/gen68340/ChangeLog	2008-03-03 17:00:52.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/gen68360/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/gen68360/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/gen68360/ChangeLog	2007-05-03 15:30:39.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/gen68360/ChangeLog	2008-03-03 17:00:54.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds.bootp, startup/linkcmds.prom: Add
+	wildcard to gcc_except_table section so programs compiled with gcc
+	4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/idp/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/idp/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/idp/ChangeLog	2007-06-22 09:07:55.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/idp/ChangeLog	2008-03-03 17:00:55.000000000 -0600
@@ -1,3 +1,13 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
+2008-02-15	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* clock/ckinit.c, console/duart.c, timer/timer.c: Reflect changes
+	  to rtems/motorola/*.h.
+
 2007-06-22	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* console/leds.c, console/mc68ec.c: Rename delay to rtems_bsp_delay to
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	2007-05-03 15:30:43.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	2008-03-03 17:00:57.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds.flash: Add wildcard to
+	gcc_except_table section so programs compiled with gcc 4.3.x can
+	link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mcf5235/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mcf5235/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mcf5235/ChangeLog	2007-05-03 15:30:45.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mcf5235/ChangeLog	2008-03-03 17:00:58.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmdsflash, startup/linkcmdsram: Add
+	wildcard to gcc_except_table section so programs compiled with gcc
+	4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mrm332/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mrm332/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mrm332/ChangeLog	2007-05-03 15:30:47.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mrm332/ChangeLog	2008-03-03 17:01:00.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds_ROM: Add wildcard to
+	gcc_except_table section so programs compiled with gcc 4.3.x can
+	link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mvme136/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mvme136/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mvme136/ChangeLog	2007-05-03 15:30:49.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mvme136/ChangeLog	2008-03-03 17:01:01.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mvme147/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mvme147/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mvme147/ChangeLog	2007-05-03 15:30:51.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mvme147/ChangeLog	2008-03-03 17:01:03.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mvme147s/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mvme147s/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mvme147s/ChangeLog	2007-05-03 15:30:53.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mvme147s/ChangeLog	2008-03-03 17:01:06.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mvme162/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mvme162/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mvme162/ChangeLog	2007-05-03 15:30:55.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mvme162/ChangeLog	2008-03-03 17:01:07.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/mvme167/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/mvme167/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/mvme167/ChangeLog	2007-05-03 15:30:57.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/mvme167/ChangeLog	2008-03-03 17:01:09.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/ods68302/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/ods68302/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/ods68302/ChangeLog	2007-05-03 15:30:59.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/ods68302/ChangeLog	2008-03-03 17:01:12.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/sim68000/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/sim68000/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/sim68000/ChangeLog	2007-05-03 15:31:01.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/sim68000/ChangeLog	2008-03-03 17:01:13.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/m68k/uC5282/ChangeLog rtems-4.8.1/c/src/lib/libbsp/m68k/uC5282/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/m68k/uC5282/ChangeLog	2007-11-26 11:48:39.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/m68k/uC5282/ChangeLog	2008-03-03 17:01:16.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-11-26	Eric Norum <norume@aps.anl.gov>
 
 	* network/network.c: Fix LED configuration to match uCDIMM.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/csb350/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/csb350/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/csb350/ChangeLog	2007-04-11 21:41:26.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/csb350/ChangeLog	2008-03-03 17:01:35.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/genmongoosev/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/genmongoosev/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/genmongoosev/ChangeLog	2007-04-11 21:41:28.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/genmongoosev/ChangeLog	2008-03-03 17:01:36.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/hurricane/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/hurricane/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/hurricane/ChangeLog	2007-04-11 21:41:30.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/hurricane/ChangeLog	2008-03-03 17:01:38.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/jmr3904/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/jmr3904/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/jmr3904/ChangeLog	2007-04-11 21:41:32.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/jmr3904/ChangeLog	2008-03-03 17:01:41.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/jmr3904/tools/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/jmr3904/tools/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/jmr3904/tools/ChangeLog	2007-09-04 18:46:18.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/jmr3904/tools/ChangeLog	2008-08-12 08:05:08.000000000 -0500
@@ -1,3 +1,7 @@
+2008-08-11	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* runtest: Major update. Now more likely not to run away.
+
 2007-09-04	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* runtest: Add capture to list of interative tests to skip in batch
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/rbtx4925/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/rbtx4925/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/rbtx4925/ChangeLog	2007-04-11 21:41:33.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/rbtx4925/ChangeLog	2008-03-03 17:01:42.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/mips/rbtx4938/ChangeLog rtems-4.8.1/c/src/lib/libbsp/mips/rbtx4938/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/mips/rbtx4938/ChangeLog	2007-04-11 21:41:34.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/mips/rbtx4938/ChangeLog	2008-03-03 17:01:44.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/ChangeLog	2007-11-26 13:34:21.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/ChangeLog	2008-03-04 16:35:13.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* shared/startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-11-26	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* shared/console/uart.c: Fix typo.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/ep1a/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/ep1a/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/ep1a/ChangeLog	2007-09-17 09:09:22.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/ep1a/ChangeLog	2008-03-04 16:34:53.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-17	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* console/console.c: Eliminate DEBUG_puts.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/gen5200/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/gen5200/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/gen5200/ChangeLog	2008-02-14 09:36:33.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/gen5200/ChangeLog	2008-03-04 16:34:55.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds.brs5l, startup/linkcmds.icecube,
+	startup/linkcmds.pm520: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2008-02-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* startup/linkcmds.brs5l: Change .bss to .bss*.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/gen83xx/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/gen83xx/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	2007-09-17 09:15:14.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	2008-03-04 16:34:57.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds.hsc_cm01,
+	startup/linkcmds.mpc8349eamds: Add wildcard to gcc_except_table
+	section so programs compiled with gcc 4.3.x can link.
+
 2007-09-17	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* console/console.c, irq/irq_init.c: Eliminate warnings.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	2007-09-12 10:16:28.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	2008-03-04 16:34:59.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	2007-09-12 10:16:30.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	2008-03-04 16:35:01.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-12	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1257/bsps
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/psim/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/psim/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/psim/ChangeLog	2007-11-30 12:17:44.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/psim/ChangeLog	2008-03-04 16:35:03.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-11-30	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* startup/bspstart.c: BSP_DIRTY_MEMORY should be tested for zero not
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/score603e/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/score603e/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/score603e/ChangeLog	2007-09-17 09:09:43.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/score603e/ChangeLog	2008-03-04 16:35:05.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-09-17	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* PCI_bus/universe.c, console/console.c, include/bsp.h, irq/FPGA.c,
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/ss555/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/ss555/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/ss555/ChangeLog	2007-04-11 23:09:22.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/ss555/ChangeLog	2008-03-04 16:35:07.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-04-12	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* bsp_specs: Remove qrtems_debug.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/powerpc/virtex/ChangeLog rtems-4.8.1/c/src/lib/libbsp/powerpc/virtex/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/powerpc/virtex/ChangeLog	2007-10-02 08:54:19.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/powerpc/virtex/ChangeLog	2008-03-04 16:35:09.000000000 -0600
@@ -1,3 +1,12 @@
+2008-03-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
+2008-02-19	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* aclocal.m4: Remove (bogusly checked in).
+
 2007-10-02	Jukka Pietarinen <jukka.pietarinen@mrf.fi>
 
 	* startup/linkcmds: Move definition of _end so memory is not corrupted.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sh/gensh1/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sh/gensh1/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sh/gensh1/ChangeLog	2007-05-14 11:42:10.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/sh/gensh1/ChangeLog	2008-03-03 17:02:07.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* Makefile.am: Separate debug IO from console so console driver is not
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sh/gensh2/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sh/gensh2/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sh/gensh2/ChangeLog	2007-05-14 11:42:14.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/sh/gensh2/ChangeLog	2008-03-03 17:02:09.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* Makefile.am: Separate debug IO from console so console driver is not
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sh/gensh4/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sh/gensh4/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sh/gensh4/ChangeLog	2007-05-03 15:33:05.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/sh/gensh4/ChangeLog	2008-03-03 17:02:10.000000000 -0600
@@ -1,3 +1,8 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sh/shsim/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sh/shsim/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sh/shsim/ChangeLog	2007-07-24 16:34:27.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/sh/shsim/ChangeLog	2008-03-03 17:02:12.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds.sim: Add wildcard to
+	gcc_except_table section so programs compiled with gcc 4.3.x can
+	link.
+
 2007-07-24	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* Makefile.am, preinstall.am, startup/linkcmds: Save the old linker
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sh/simsh4/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sh/simsh4/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sh/simsh4/ChangeLog	2007-05-03 15:33:33.000000000 -0500
+++ rtems-4.8.1/c/src/lib/libbsp/sh/simsh4/ChangeLog	2008-03-03 17:02:14.000000000 -0600
@@ -1,3 +1,9 @@
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds, startup/linkcmds-le, startup/linkcmds-le.coff: Add
+	wildcard to gcc_except_table section so programs compiled with gcc
+	4.3.x can link.
+
 2007-05-03	Joel Sherrill <joel@OARcorp.com>
 
 	* startup/linkcmds: Handle .data.* sections
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sparc/erc32/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sparc/erc32/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sparc/erc32/ChangeLog	2007-11-26 15:53:14.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/sparc/erc32/ChangeLog	2008-08-08 10:55:07.000000000 -0500
@@ -1,3 +1,20 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: All SPARC executables should include
+	rtems_get_version_string so the monitor used can provide RTEMS
+	awareness based upon the version.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1294/bsps
+	* startup/spurious.c: Correct prototype and usage of
+	sparc_disable_interrupts.
+
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2007-11-26	Joel Sherrill <joel.sherrill@oarcorp.com>
 
 	* clock/ckinit.c, include/bsp.h: Fix spacing.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sparc/leon2/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sparc/leon2/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sparc/leon2/ChangeLog	2008-02-14 11:31:42.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/sparc/leon2/ChangeLog	2008-08-08 10:55:08.000000000 -0500
@@ -1,3 +1,18 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: All SPARC executables should include
+	rtems_get_version_string so the monitor used can provide RTEMS
+	awareness based upon the version.
+
+2008-05-07	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* clock/ckinit.c: Add nanoseconds clock tick granularity support.
+
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2008-02-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* preinstall.am: Spacing.
diff -N -P -r -u rtems-4.8.0/c/src/lib/libbsp/sparc/leon3/ChangeLog rtems-4.8.1/c/src/lib/libbsp/sparc/leon3/ChangeLog
--- rtems-4.8.0/c/src/lib/libbsp/sparc/leon3/ChangeLog	2008-02-14 11:31:53.000000000 -0600
+++ rtems-4.8.1/c/src/lib/libbsp/sparc/leon3/ChangeLog	2008-08-08 10:55:10.000000000 -0500
@@ -1,3 +1,18 @@
+2008-08-08	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: All SPARC executables should include
+	rtems_get_version_string so the monitor used can provide RTEMS
+	awareness based upon the version.
+
+2008-05-07	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* clock/ckinit.c: Add nanoseconds clock tick granularity support.
+
+2008-03-03	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* startup/linkcmds: Add wildcard to gcc_except_table section so
+	programs compiled with gcc 4.3.x can link.
+
 2008-02-14	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* preinstall.am: Spacing.
diff -N -P -r -u rtems-4.8.0/c/src/librtems++/ChangeLog rtems-4.8.1/c/src/librtems++/ChangeLog
--- rtems-4.8.0/c/src/librtems++/ChangeLog	2007-02-06 10:42:44.000000000 -0600
+++ rtems-4.8.1/c/src/librtems++/ChangeLog	2008-08-04 14:24:38.000000000 -0500
@@ -1,3 +1,8 @@
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1282/misc
+	* src/rtemsInterrupt.cc: Correct vec/vector variable confusion.
+
 2007-02-06	Joel Sherrill <joel@OARcorp.com>
 
 	* include/rtems++/rtemsMessageQueue.h, src/rtemsMessageQueue.cc: Make
diff -N -P -r -u rtems-4.8.0/ChangeLog rtems-4.8.1/ChangeLog
--- rtems-4.8.0/ChangeLog	2007-12-04 10:15:55.000000000 -0600
+++ rtems-4.8.1/ChangeLog	2008-04-14 02:42:27.000000000 -0500
@@ -1,3 +1,7 @@
+2008-04-14	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* bootstrap: Use find . ... preinstall.am for portability reasons.
+
 2007-09-04	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* Makefile.maint: touch all documentation master files so the date on
@@ -1245,7 +1249,7 @@
 
 2001-11-13	Joel Sherrill <joel@OARcorp.com>
 
-	* COPYING: Test of $Id: ChangeLog,v 1.329.2.2 2007/12/04 16:15:55 ralf Exp $ -> $RTEMS$.
+	* COPYING: Test of $Id: ChangeLog,v 1.329.2.3 2008/04/14 07:42:27 ralf Exp $ -> $RTEMS$.
 
 2001-11-08	Dennis Ehlin (ECS) <Dennis.Ehlin@ecs.ericsson.se>
 
diff -N -P -r -u rtems-4.8.0/cpukit/ChangeLog rtems-4.8.1/cpukit/ChangeLog
--- rtems-4.8.0/cpukit/ChangeLog	2008-02-06 10:58:46.000000000 -0600
+++ rtems-4.8.1/cpukit/ChangeLog	2008-08-11 11:52:39.000000000 -0500
@@ -1,3 +1,98 @@
+2008-08-11	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* rtems/include/rtems.h, sapi/Makefile.am: Add simple helper to get
+	RTEMS version string.
+	* sapi/src/getversionstring.c: New file.
+
+2008-08-06	Brett Swimley <brett.swimley@aedbozeman.com>
+
+	PR 1192/filesystem
+	* libblock/src/diskdevs.c: Update the disktap pointer after the
+	realloc.
+
+2008-08-05	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 741/networking
+	* libmisc/dummy/dummy.c: Add dummy network configuration.
+
+2008-08-05	Xudong Guan <xudong.guan@criticalsoftware.com>
+
+	PR 1212/cpukit
+	* rtems/src/taskmode.c, score/src/threadtickletimeslice.c: Time slicing
+	will not happen if the task mode is changed from a non-timeslicing
+	mode to timeslicing mode if it is done by the executing thread (e.g.
+	in its task body). This change includes sp44 to demonstrate the
+	problem and verify the correction.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1265/cpukit
+	* score/include/rtems/score/object.h,
+	score/src/objectallocatebyindex.c: Rename index argument to avoid
+	warning when rtems.h and string.h are included at the same time by
+	user code.
+
+2008-07-18	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	PR 1291/cpukit
+	* itron/inline/rtems/itron/semaphore.inl, itron/src/twai_sem.c,
+	posix/include/mqueue.h, posix/include/rtems/posix/mqueue.h,
+	posix/include/rtems/posix/semaphore.h,
+	posix/include/rtems/posix/time.h, posix/src/condtimedwait.c,
+	posix/src/mqueuereceive.c, posix/src/mqueuerecvsupp.c,
+	posix/src/mqueuesend.c, posix/src/mqueuesendsupp.c,
+	posix/src/mqueuetimedreceive.c, posix/src/mqueuetimedsend.c,
+	posix/src/mutextimedlock.c, posix/src/mutextranslatereturncode.c,
+	posix/src/posixtimespecabsolutetimeout.c,
+	posix/src/prwlocktimedrdlock.c, posix/src/prwlocktimedwrlock.c,
+	posix/src/semaphoretranslatereturncode.c,
+	posix/src/semaphorewaitsupp.c, posix/src/semtimedwait.c,
+	posix/src/semtrywait.c, posix/src/semwait.c,
+	posix/src/sigtimedwait.c, posix/src/timersettime.c,
+	posix/src/ualarm.c, rtems/src/semobtain.c,
+	rtems/src/semtranslatereturncode.c,
+	score/include/rtems/score/coremutex.h,
+	score/include/rtems/score/coresem.h, score/src/coresemseize.c: This
+	patch addresses issues on implementation of the timeout on the
+	following POSIX services. Some of these services incorrectly took a
+	timeout as a relative time. Others would compute a 0 delta to timeout
+	if the absolute time and the current time were equal and thus
+	incorrectly block the caller forever. The root of the confusion is
+	that POSIX specifies that if the timeout is incorrect (e.g. in the
+	past, is now, or is numerically invalid), that it does not matter if
+	the call would succeed without blocking. This is in contrast to RTEMS
+	programming style where all errors are checked before any critical
+	sections are entered. This fix implemented a more uniform way of
+	handling POSIX absolute time timeouts.
+	    + pthread_cond_timedwait - could block forever
+	    + mq_timedreceive - used relative not absolute time
+	    + mq_timedsend - used relative not absolute time
+	    + pthread_mutex_timedlock - used relative not absolute time
+	    + pthread_rwlock_timedrdlock- used relative not absolute time
+	    + pthread_rwlock_timedwrlock- used relative not absolute time
+	    + sem_timedwait - could block forever
+
+2008-05-06	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1285/rtems
+	* sapi/include/rtems/config.h: Remove obsolete
+	rtems_configuration_get_maximum_devices().
+
+2008-04-25	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* score/include/rtems/system.h: Fix typo in comment.
+
+2008-03-07	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1280/tools
+	* shttpd/log.c: Broaden logic so all gcc versions < 4.3.0 will enable
+	work around.
+
+2008-02-15	Ralf Corsépius <ralf.corsepius@rtems.org>
+
+	* libcsupport/include/motorola/mc68230.h: Prefix defines with
+	  MC68230_ to avoid preprocessor clashes.
+
 2008-02-06	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1277/networking
diff -N -P -r -u rtems-4.8.0/cpukit/score/cpu/sparc/ChangeLog rtems-4.8.1/cpukit/score/cpu/sparc/ChangeLog
--- rtems-4.8.0/cpukit/score/cpu/sparc/ChangeLog	2007-05-10 13:40:49.000000000 -0500
+++ rtems-4.8.1/cpukit/score/cpu/sparc/ChangeLog	2008-08-04 15:35:25.000000000 -0500
@@ -1,3 +1,15 @@
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1294/bsps
+	* rtems/score/cpu.h, rtems/score/sparc.h: Correct prototype and usage
+	of sparc_disable_interrupts.
+
+2008-02-20	Alexandru Bugnar <a-bugnar@criticalsoftware.com>
+
+	PR 1278/cpukit
+	* cpu.c: Fix incorrect bit manipulation on returning old address of raw
+	trap handler.
+
 2007-05-10	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	PR 1237/rtems
diff -N -P -r -u rtems-4.8.0/doc/ChangeLog rtems-4.8.1/doc/ChangeLog
--- rtems-4.8.0/doc/ChangeLog	2007-12-09 22:00:24.000000000 -0600
+++ rtems-4.8.1/doc/ChangeLog	2008-08-07 08:45:10.000000000 -0500
@@ -1,3 +1,52 @@
+2008-08-07	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/datatypes.t: Add rtems_name. Add comment about
+	rtems_task_argument changing from simple unsigned thirty two bit
+	integer to being derived from a C99 uintptr_t in 4.8 and newer.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1263/doc
+	* user/part.t: Improve discussion of alignment and minimum buffer
+	sizes.
+
+2008-08-04	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1288/doc
+	* user/intr.t: Update callable from ISR section.
+
+2008-08-01	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/msg.t: Parameter is size not count. Spotted by Sebastian Huber.
+
+2008-07-22	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	pr1291/cpukit
+	* posix_users/mutex.t: Add ETIMEDOUT.
+	* posix_users/semaphores.t: Clarify text to say absolute timeout.
+
+2008-07-15	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/barrier.t, user/clock.t, user/dpmem.t, user/msg.t, user/part.t,
+	user/region.t, user/rtmon.t, user/sem.t, user/task.t, user/timer.t:
+	Correct documentation typos noticed and thankfully reported by
+	Fabrício de Novaes Kucinskis <fabricio@dea.inpe.br>
+
+2008-06-20	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/io.t: Fix typos for IO unregister reported by Catalin Morosan
+	<catalin.morosan at gmail.com>.
+
+2008-06-20	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/conf.t: Fix text on CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER.
+
+2008-04-16	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* user/bsp.t, user/conf.t, user/init.t, user/intr.t, user/overview.t,
+	user/timer.t: Correct default values. Make it clear that confdefs.h
+	calculates the memory required for you.
+
 2007-12-10	Ralf Corsépius <ralf.corsepius@rtems.org>
 
 	* cpu_supplement/tic4x.t: Remove.
diff -N -P -r -u rtems-4.8.0/make/ChangeLog rtems-4.8.1/make/ChangeLog
--- rtems-4.8.0/make/ChangeLog	2007-11-28 15:15:35.000000000 -0600
+++ rtems-4.8.1/make/ChangeLog	2008-08-13 08:47:49.000000000 -0500
@@ -1,3 +1,13 @@
+2008-08-12	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* custom/hurricane.cfg, custom/simsh4.cfg: Now build and link class
+	examples.
+
+2008-08-11	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	* custom/rbtx4925.cfg, custom/rbtx4938.cfg: Fix so all C++ example code
+	compiles and links.
+
 2007-11-28	Joel Sherrill <joel.sherrill@OARcorp.com>
 
 	* custom/mvme5500.cfg: Fix typo.
diff -N -P -r -u rtems-4.8.0/testsuites/psxtests/ChangeLog rtems-4.8.1/testsuites/psxtests/ChangeLog
--- rtems-4.8.0/testsuites/psxtests/ChangeLog	2007-11-27 14:13:09.000000000 -0600
+++ rtems-4.8.1/testsuites/psxtests/ChangeLog	2008-08-04 09:39:37.000000000 -0500
@@ -1,3 +1,14 @@
+2008-08-04	Tim FitzGeorge <tim.fitzgeorge@astrium.eads.net>
+
+	PR 1293/tests
+	* psx10/init.c: Make sure we do not let tv_nsec go to -1.
+
+2008-07-22	Joel Sherrill <joel.sherrill@OARcorp.com>
+
+	PR 1291/cpukit
+	* psx05/init.c, psxmsgq01/init.c: Update tests to reflect absolute
+	time.
+
 2007-11-27	Glenn Humphrey <glenn.humphrey@OARcorp.com>
 
 	* psxbarrier01/psxbarrier01.scn, psxbarrier01/test.c,
diff -N -P -r -u rtems-4.8.0/testsuites/sptests/ChangeLog rtems-4.8.1/testsuites/sptests/ChangeLog
--- rtems-4.8.0/testsuites/sptests/ChangeLog	2007-11-27 14:42:42.000000000 -0600
+++ rtems-4.8.1/testsuites/sptests/ChangeLog	2008-08-05 08:11:09.000000000 -0500
@@ -1,3 +1,12 @@
+2008-08-05	Xudong Guan <xudong.guan@criticalsoftware.com>
+
+	PR 1212/cpukit
+	* Makefile.am, configure.ac: Time slicing will not happen if the task
+	mode is changed from a non-timeslicing mode to timeslicing mode if it
+	is done by the executing thread (e.g. in its task body). This change
+	includes sp44 to demonstrate the problem and verify the correction.
+	* sp44/.cvsignore, sp44/Makefile.am, sp44/init.c, sp44/sp44.scn: New files.
+
 2007-11-27	Glenn Humphrey <glenn.humphrey@OARcorp.com>
 
 	* sp33/init.c, sp33/sp33.scn: Added several test cases to improve test
